polybori::groebner::PolyEntry Class Reference

This class defines PolyEntry. More...

`#include <PolyEntry.h>`

Inheritance diagram for polybori::groebner::PolyEntry:

## Public Member Functions

| PolyEntry (const Polynomial &p)
bool | operator== (const self &other) const
self & | operator= (const self &rhs)
self & | operator= (const Polynomial &rhs)
deg_type | ecart () const
void | recomputeInformation ()
void | markVariablePairsCalculated ()
bool | propagatableBy (const PolyEntry &other) const
bool | isSingleton () const
Public Member Functions inherited from polybori::groebner::PolyEntryBase
| PolyEntryBase (const Polynomial &poly)

## Additional Inherited Members

Public Attributes inherited from polybori::groebner::PolyEntryBase
LiteralFactorization | literal_factors
Polynomial | p
Monomial | lead
wlen_type | weightedLength
len_type | length
deg_type | deg
deg_type | leadDeg
Exponent | leadExp
Monomial | gcdOfTerms
Exponent | usedVariables
Exponent | tailVariables
Polynomial | tail
bool | minimal
std::set< idx_type > | vPairCalculated
| set of variables with which pair was calculated More...

## Detailed Description

This class defines PolyEntry.

## Constructor & Destructor Documentation

polybori::groebner::PolyEntry::PolyEntry | ( | const Polynomial & | p | ) |

inline

## Member Function Documentation

deg_type polybori::groebner::PolyEntry::ecart | ( |  | ) | const

inline

Referenced by polybori::groebner::should_propagate().

bool polybori::groebner::PolyEntry::isSingleton | ( |  | ) | const

inline

Referenced by polybori::groebner::IsVariableOfIndex::operator()().

void polybori::groebner::PolyEntry::markVariablePairsCalculated | ( |  | ) |

inline

Referenced by polybori::groebner::GroebnerStrategy::addHigherImplDelayedUsing4().

self& polybori::groebner::PolyEntry::operator= | ( | const self & | rhs | ) |

inline

self& polybori::groebner::PolyEntry::operator= | ( | const Polynomial & | rhs | ) |

inline

bool polybori::groebner::PolyEntry::operator== | ( | const self & | other | ) | const

inline

bool polybori::groebner::PolyEntry::propagatableBy | ( | const PolyEntry & | other | ) | const

inline

References polybori::groebner::PolyEntryBase::leadExp, and polybori::groebner::PolyEntryBase::p.

void polybori::groebner::PolyEntry::recomputeInformation | ( |  | ) |

References PBORI_ASSERT.

The documentation for this class was generated from the following files:

- PolyEntry.h
- PolyEntry.cc